%define module_name HPC-Runner-Command-Utils-ManyConfigs
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Any.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(File/HomeDir.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(MooseX/App.pm) perl(MooseX/App/Command.pm) perl(MooseX/App/Role.pm) perl(MooseX/Types/Path/Tiny.pm) perl(Path/Tiny.pm) perl(Test/Class/Moose.pm) perl(Test/Class/Moose/Load.pm) perl(Test/Class/Moose/Runner.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Try/Tiny.pm) perl(YAML/XS.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(utf8.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Load many layered configs
Group: Development/Perl
License: perl
URL: https://github.com/biosails/HPC-Runner-Utils-ManyConfigs

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JI/JILLROWE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
HPC::Runner::Command::Utils::ManyConfigs are just some helper utilities to make it easier to layer config files

It is in the HPC::Runner::Command namespace, but it is meant to be portable for any MooseX::App.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/H*

%changelog
* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

